qspips: XQspiPs Struct Reference

| qspips Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XQspiPs Struct Reference
Qspips_v3_6

The XQspiPs driver instance data. More...

## Data Fields
XQspiPs_Config | Config
| Configuration structure. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 * | SendBufferPtr
| Buffer to send (state) More...
u8 * | RecvBufferPtr
| Buffer to receive (state) More...
int | RequestedBytes
| Number of bytes to transfer (state) More...
int | RemainingBytes
| Number of bytes left to transfer(state) More...
u32 | IsBusy
| A transfer is in progress (state) More...
void * | StatusRef
| Callback reference for status handler. More...
u32 | ShiftReadData
| Flag to indicate whether the data read from the Rx FIFO needs to be shifted in cases where the data is less than 4 bytes. More...

## Detailed Description

The XQspiPs driver instance data.

The user is required to allocate a variable of this type for every QSPI device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XQspiPs_Config XQspiPs::Config

Configuration structure.

Referenced by FlashErase(), FlashReadID(), GetRealAddr(), XQspiPs_Abort(), XQspiPs_CfgInitialize(), XQspiPs_GetClkPrescaler(), XQspiPs_GetDelays(), XQspiPs_GetOptions(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), XQspiPs_Reset(), XQspiPs_SetClkPrescaler(), XQspiPs_SetDelays(), XQspiPs_SetOptions(), XQspiPs_SetSlaveSelect(), and XQspiPs_Transfer().

u32 XQspiPs::IsBusy

A transfer is in progress (state)

Referenced by XQspiPs_Abort(), XQspiPs_CfgInitialize(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), XQspiPs_SetClkPrescaler(), XQspiPs_SetDelays(), XQspiPs_SetOptions(), XQspiPs_SetSlaveSelect(), and XQspiPs_Transfer().

u32 XQspiPs::IsReady

Device is initialized and ready.

Referenced by XQspiPs_CfgInitialize(), XQspiPs_GetClkPrescaler(), XQspiPs_GetDelays(), XQspiPs_GetOptions(), XQspiPs_InterruptHandler(), XQspiPs_LqspiRead(), XQspiPs_PolledTransfer(), XQspiPs_Reset(), XQspiPs_SelfTest(), XQspiPs_SetClkPrescaler(), XQspiPs_SetDelays(), XQspiPs_SetOptions(), XQspiPs_SetSlaveSelect(), XQspiPs_SetStatusHandler(), and XQspiPs_Transfer().

u8* XQspiPs::RecvBufferPtr

Buffer to receive (state)

Referenced by XQspiPs_CfgInitialize(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), and XQspiPs_Transfer().

int XQspiPs::RemainingBytes

Number of bytes left to transfer(state)

Referenced by XQspiPs_Abort(), XQspiPs_CfgInitialize(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), and XQspiPs_Transfer().

int XQspiPs::RequestedBytes

Number of bytes to transfer (state)

Referenced by XQspiPs_Abort(), XQspiPs_CfgInitialize(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), and XQspiPs_Transfer().

u8* XQspiPs::SendBufferPtr

Buffer to send (state)

Referenced by XQspiPs_CfgInitialize(), XQspiPs_InterruptHandler(), XQspiPs_PolledTransfer(), and XQspiPs_Transfer().

u32 XQspiPs::ShiftReadData

Flag to indicate whether the data read from the Rx FIFO needs to be shifted in cases where the data is less than 4 bytes.

Referenced by XQspiPs_PolledTransfer(), and XQspiPs_Transfer().

void* XQspiPs::StatusRef

Callback reference for status handler.

Referenced by XQspiPs_InterruptHandler(), and XQspiPs_SetStatusHandler().